# Generated by Django 2.2.4 on 2019-10-21 13:06

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import utils.models


class Migration(migrations.Migration):

    dependencies = [
        ('location', '0012_data_migrate'),
        ('news', '0021_auto_20191009_1408'),
    ]

    operations = [
        migrations.CreateModel(
            name='NewsBanner',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Date updated')),
                ('title', utils.models.TJSONField(blank=True, default=None, help_text='{"en-GB":"some text"}', null=True, verbose_name='title')),
                ('image_url', models.URLField(blank=True, default=None, null=True, verbose_name='Image URL path')),
                ('content_url', models.URLField(blank=True, default=None, null=True, verbose_name='Content URL path')),
            ],
            options={
                'abstract': False,
            },
            bases=(models.Model, utils.models.TranslatedFieldsMixin),
        ),
        migrations.CreateModel(
            name='Agenda',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Date updated')),
                ('event_datetime', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Event datetime')),
                ('content', utils.models.TJSONField(blank=True, default=None, help_text='{"en-GB":"some text"}', null=True, verbose_name='content')),
                ('address', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, to='location.Address', verbose_name='address')),
            ],
            options={
                'abstract': False,
            },
            bases=(models.Model, utils.models.TranslatedFieldsMixin),
        ),
        migrations.AddField(
            model_name='news',
            name='agenda',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='news.Agenda', verbose_name='agenda'),
        ),
        migrations.AddField(
            model_name='news',
            name='banner',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='news.NewsBanner', verbose_name='banner'),
        ),
    ]
